### Property

# FwupdPlugin Firmware:parent

since: 1.8.2

#### Declaration

    property parent: FwupdPlugin.Firmware [ read, write, construct ]

#### Description [src]

The firmware parent.

Type:`FuFirmware`

Available since: 1.8.2

Getter method | `fu_firmware_get_parent()`
Setter method | `fu_firmware_set_parent()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no